> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Suppliers

> List suppliers with pagination.



## OpenAPI

````yaml /api/openapi-finindex.json get /suppliers
openapi: 3.1.0
info:
  title: Finindex API — ERP · Finance · Accounting
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /suppliers:
    get:
      tags:
        - Suppliers
      summary: List Suppliers
      description: List suppliers with pagination.
      operationId: list_suppliers_suppliers_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: '-created_at'
            title: Sort
        - name: q
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Q
        - name: X-Org-Id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Org-Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/routers__external__suppliers__PaginatedSuppliersResponse
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    routers__external__suppliers__PaginatedSuppliersResponse:
      properties:
        data:
          items:
            $ref: >-
              #/components/schemas/routers__external__suppliers__SupplierResponse
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/routers__external__suppliers__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedSuppliersResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    routers__external__suppliers__SupplierResponse:
      properties:
        id:
          type: string
          title: Id
        documentId:
          anyOf:
            - type: string
            - type: 'null'
          title: Documentid
        name:
          type: string
          title: Name
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        contactPerson:
          anyOf:
            - type: string
            - type: 'null'
          title: Contactperson
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        contacts:
          items:
            $ref: '#/components/schemas/SupplierContact'
          type: array
          title: Contacts
        bankDetails:
          anyOf:
            - $ref: '#/components/schemas/BankAccountDetails'
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        specialization:
          anyOf:
            - type: string
            - type: 'null'
          title: Specialization
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        approvedVendor:
          type: boolean
          title: Approvedvendor
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
      type: object
      required:
        - id
        - name
        - approvedVendor
      title: SupplierResponse
    routers__external__suppliers__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    SupplierContact:
      properties:
        contactName:
          anyOf:
            - type: string
            - type: 'null'
          title: Contactname
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        countryCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Countrycode
        platforms:
          anyOf:
            - items:
                $ref: '#/components/schemas/ContactPlatform'
              type: array
            - type: 'null'
          title: Platforms
      type: object
      title: SupplierContact
    BankAccountDetails:
      properties:
        raw:
          anyOf:
            - type: string
            - type: 'null'
          title: Raw
        accountCountry:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountcountry
        accountCurrency:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountcurrency
        accountHolderType:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholdertype
        transferMethod:
          anyOf:
            - type: string
            - type: 'null'
          title: Transfermethod
        swiftCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Swiftcode
        bankAccountNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Bankaccountnumber
        accountHolderName:
          anyOf:
            - type: string
            - type: 'null'
          title: Accountholdername
        intermediarySwiftCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Intermediaryswiftcode
        recipientNickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientnickname
        recipientEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientemail
        recipientCountry:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientcountry
        recipientAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientaddress
        recipientCity:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientcity
        recipientPostalCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientpostalcode
        recipients:
          anyOf:
            - items:
                $ref: '#/components/schemas/BankRecipientDetails'
              type: array
            - type: 'null'
          title: Recipients
        shippingPickupDetails:
          anyOf:
            - items:
                $ref: '#/components/schemas/ShippingPickupDetails'
              type: array
            - type: 'null'
          title: Shippingpickupdetails
      type: object
      title: BankAccountDetails
    ContactPlatform:
      properties:
        platform:
          anyOf:
            - type: string
            - type: 'null'
          title: Platform
        handle:
          anyOf:
            - type: string
            - type: 'null'
          title: Handle
      type: object
      title: ContactPlatform
    BankRecipientDetails:
      properties:
        recipientNickname:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientnickname
        recipientEmail:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientemail
        recipientCountry:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientcountry
        recipientAddress:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientaddress
        recipientCity:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientcity
        recipientPostalCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Recipientpostalcode
      type: object
      title: BankRecipientDetails
    ShippingPickupDetails:
      properties:
        label:
          anyOf:
            - type: string
            - type: 'null'
          title: Label
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
        address:
          anyOf:
            - type: string
            - type: 'null'
          title: Address
        contactName:
          anyOf:
            - type: string
            - type: 'null'
          title: Contactname
        phoneNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Phonenumber
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
      type: object
      title: ShippingPickupDetails

````